> For the complete documentation index, see [llms.txt](/llms.txt).

# Get webhook subscriptions

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/webhooks/subscriptions/`

## Responses
### 200 — Current webhook subscriptions
```json
{
  "data": {
    "subscriptions": [
      {
        "subscribed": true,
        "url": "https://partner.example.com/iwoca-webhook/application-offered/",
        "webhook_event_type": "application_offered"
      }
    ]
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl https://www.iwoca.co.uk/api/lending/v2.2/webhooks/subscriptions/ \
  --header 'Authorization: Bearer <api-key>'
```